apiVersion: v1
kind: Service
metadata:
  name: {{ include "bitlbee.fullname" . }}
  labels:
{{ include "bitlbee.labels" . | indent 4 }}
{{- if .Values.service.metallbShare }}
  annotations:
    metallb.universe.tf/allow-shared-ip: {{ .Values.service.metallbShare }}
{{- end }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  {{- if .Values.service.loadBalancerIP }}
  loadBalancerIP: {{ .Values.service.loadBalancerIP }}
  {{- end }}
  selector:
    app.kubernetes.io/name: {{ include "bitlbee.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
